Bug 671106 - Review Request: perl-Mail-MboxParser - Read-only access to UNIX-mailboxes
Summary: Review Request: perl-Mail-MboxParser - Read-only access to UNIX-mailboxes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Matěj Cepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 622502
TreeView+ depends on / blocked
 
Reported: 2011-01-20 11:34 UTC by Marcela Mašláňová
Modified: 2018-04-11 15:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-29 07:30:06 UTC
mcepl: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Marcela Mašláňová 2011-01-20 11:34:36 UTC
SPEC: http://mmaslano.fedorapeople.org/review/perl-Mail-MboxParser.spec
SRPM: http://mmaslano.fedorapeople.org/review/perl-Mail-MboxParser-0.55-1.fc14.src.rpm
Description:
This module attempts to provide a simplified access to standard UNIX-
mailboxes. It offers only a subset of methods to get 'straight to the
point'. More sophisticated things can still be done by invoking any method
from MIME::Tools on the appropriate return values.

Comment 1 Matěj Cepl 2011-01-20 13:54:27 UTC
For consideration:

*******************
You don't have Mail::Mbox::MessageParser installed. If you want to get
significantly faster parsing, you should install this module from the CPAN.

If you do so, you are advised to do it before issuing 'make test' on this
module because otherwise the new parsing routines can't be tested on your
platform.
*******************

Shouldn't we pull in Mail::Mbox::MessageParser as well?

+ GOOD: rpmlint is happy
jakoubek:build $ rpmlint -i SRPMS/perl-Mail-MboxParser-0.55-1.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
jakoubek:build $ rpmlint -i RPMS/noarch/perl-Mail-MboxParser-0.55-1.fc15.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
jakoubek:build $ 

+ GOOD: The package is named according to the Package Naming Guidelines .
+ GOOD: The spec file name matches the base package %{name}, in the format
  %{name}.spec.
+ GOOD: The package is licensed with a Fedora approved license and meet the
Licensing Guidelines.
+ GOOD: The License field in the package spec file matches the actual license.
Actually it should be GPLv2 only (not GPLv2+ ... cannot find anywhere "or
later").
+ GOOD: COPYRIGHT file is in %doc.
No problem, it is not included in the tarball either.
+ GOOD: The spec file is written in American English.
+ GOOD: The spec file for the package is legible.
+ GOOD: The sources used to build the package matches the upstream source,
as provided in the spec URL.
MD5: 1b9fdb367db36ec94e7b5c6721f11221
+ GOOD: The package successfully compiles and build into binary rpms on at
least one supported architecture.
yes, builds in koji http://koji.fedoraproject.org/koji/taskinfo?taskID=2733008
+ GOOD: it's noarch so no issues with other architectures.
+ GOOD: All build dependencies are listed in BuildRequires.
+ GOOD: The spec file MUST handle locales properly.
  No locale support.
+ GOOD: %post and %postun scripts OK
no scripts
+ GOOD: not relocatable
+ GOOD: A package owns all directories that it creates.
+ GOOD: A package does not contain any duplicate files in the %files listing.
+ GOOD: Permissions on files are set automatically.
+ GOOD: Each package have a %clean section.
+ GOOD: Each package consistently use macros.
+ GOOD: The package contains code, or permissible content.
+ GOOD: No large documentation files, so no a -doc subpackage.
+ GOOD: Files registered in %doc does not affect the runtime of the
application.
+ GOOD: No header files.
+ GOOD: No static libraries.
+ GOOD: No pkgconfig(.pc) files.
+ GOOD: .so file is provided in -devel package.
no .so outside of Perllands
+ GOOD: Correct Requires in -devel subpackage.
no -devel package
+ GOOD: No .la libtool archives.
+ GOOD: Packages does not contain GUI applications.
+ GOOD: Packages does not own files or directories owned by other packages.
- BAD : Runs rm -rf $RPM_BUILD_ROOT in %install
No, why?
+ GOOD: All filenames in rpm packages are valid UTF-8.
+ GOOD: Includes license text.

Please, fix %install section. With that

APPROVED.

Comment 2 Matěj Cepl 2011-01-20 14:02:44 UTC
(explanation: I would like to have this package for EL-5, so an explicit BuildRoot would be helpful).

Comment 3 Marcela Mašláňová 2011-01-20 16:02:48 UTC
rm -rf it's also not needed with new rpm. I will create different spec for EL-5 and add the mentioned requirement.

Comment 4 Matěj Cepl 2011-01-20 16:12:56 UTC
APPROVED

Comment 5 Marcela Mašláňová 2011-01-20 16:13:45 UTC
New Package SCM Request
=======================
Package Name: perl-Mail-MboxParser
Short Description: Read-only access to UNIX-mailboxes
Owners: mmaslano psabata ppisar
Branches: F-13 F-14 EL-5 EL-6
InitialCC: perl-sig

Comment 6 Jason Tibbitts 2011-01-20 16:22:09 UTC
Git done (by process-git-requests).

Comment 7 Marcela Mašláňová 2011-01-25 15:26:12 UTC
It's dependent on in EL branches on update of https://admin.fedoraproject.org/updates/search/perl-Mail-Mbox-MessageParser

Comment 8 Fedora Update System 2011-02-01 13:46:56 UTC
perl-Mail-MboxParser-0.55-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Mail-MboxParser-0.55-2.el5

Comment 9 Fedora Update System 2011-02-07 08:39:11 UTC
perl-Mail-MboxParser-0.55-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Mail-MboxParser-0.55-2.el6

Comment 10 Fedora Update System 2011-02-17 20:49:19 UTC
perl-Mail-MboxParser-0.55-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-02-23 21:54:10 UTC
perl-Mail-MboxParser-0.55-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.